## sumatra 1.0.10

=== Makefile ===
EXEC=sumatra

SUMATRA_SRC= sumatra.c \
			 mtcompare_sumatra.c
			              
SUMATRA_OBJ= $(patsubst %.c,%.o,$(SUMATRA_SRC))


SRCS= $(SUMATRA_SRC)

LIB= -lfasta -llcs -lfile -lutils -lz -lm

include ./global.mk

all: $(EXEC)


########
#
# sumatra compilation
#
########

# executable compilation and link

sumatra: $(SUMATRA_OBJ) $(LIBFASTA) $(LIBLCS) $(LIBFILE) $(LIBUTILS)
	$(CC) $(LDFLAGS) -o $@ -pthread $(SUMATRA_OBJ) $(LIBFASTAPATH) $(LIBLCSPATH) $(LIBFILEPATH) $(LIBUTILSPATH) $(LIB)
	
########
#
# project management
#
########

clean:
	rm -f *.o	
	rm -f *.P
	rm -f $(EXEC)
	$(MAKE) -C ./sumalibs/libfasta clean
	$(MAKE) -C ./sumalibs/liblcs clean
	$(MAKE) -C ./sumalibs/libfile clean
	$(MAKE) -C ./sumalibs/libutils clean

=== sumalibs/libfile/Makefile ===

SOURCES = fileHandling.c

         
SRCS=$(SOURCES)

         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= libfile.a
RANLIB=ranlib


include ../global.mk

all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)
	rm -f *.P
	rm -f *.a

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== sumalibs/libutils/Makefile ===

SOURCES = utilities.c  \
          debug.c      
         
SRCS=$(SOURCES)

         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= libutils.a
RANLIB=ranlib


include ../global.mk

all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)
	rm -f *.P
	rm -f *.a

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== debian/changelog ===
sumatra (1.0.10-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #794699)
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 06 Aug 2015 15:30:54 +0200

sumatra (1.0.01-0ubuntu1) trusty; urgency=medium

  * Initial release for QIIME 1.9 

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 13 Feb 2015 16:24:17 +0000

=== debian/control ===
Source: sumatra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumatra/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumatra/trunk/
Homepage: http://metabarcoding.org/sumatra

Package: sumatra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast and exact comparison and clustering of sequences
 With the development of next-generation sequencing, efficient tools are
 needed to handle millions of sequences in reasonable amounts of time.
 Sumatra is a program developed by the LECA. Sumatra aims to compare
 sequences in a way that is fast and exact at the same time. This tool
 has been developed to be adapted to the type of data generated by DNA
 metabarcoding, i.e. entirely sequenced, short markers. Sumatra computes
 the pairwise alignment scores from one dataset or between two datasets,
 with the possibility to specify a similarity threshold under which pairs
 of sequences that have a lower similarity are not reported. The output
 can then go through a classification process with programs such as MCL
 or MOTHUR.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean
	#Upstream is very messy.  Scrub out all the .svn stuff
	#and .o files.
	find sumalibs -name '*.[oa]' -delete

override_dh_compress:
	dh_compress --exclude=.pdf

# May be it makes sense at some point in time to use *.md
# source for the manpage - currently the result is not really
# the usual manpage structure
#override_dh_installman:
#	go-md2man -in=sumatra_user_manual.md -out=sumatra.1

## sumatra 1.0.20

=== debian/changelog ===
sumatra (1.0.20-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumatra/trunk/
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumatra/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumatra/trunk/
 Homepage: http://metabarcoding.org/sumatra

## sumatra 1.0.31

=== sumalibs/liblcs/Makefile ===

SOURCES = sse_banded_LCS_alignment.c  \
		  upperband.c
         
SRCS=$(SOURCES)

         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= liblcs.a
RANLIB=ranlib


include ../global.mk

all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)
	rm -f *.P
	rm -f *.a

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== debian/changelog ===
sumatra (1.0.31-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 18 Oct 2017 21:11:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/sumatra/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sumatra/trunk/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sumatra.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/sumatra.git
 Homepage: http://metabarcoding.org/sumatra
 
 Package: sumatra

=== debian/watch ===
version=3

https://git.metabarcoding.org/obitools/sumatra/wikis/home .*/sumatra/uploads/.*/sumatra_v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

# sumatra is maintained in a Gitlab repository
#    https://wiki.debian.org/debian/watch#Gitlab
# recommends something like this but it does not work
# opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/<project>-$1\.tar\.gz/g \
#  https://git.metabarcoding.org/obitools/sumatra/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

# Tags on Github are not up to date
# https://github.com/mesocentrefc/sumatra/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## sumatra 1.0.36%2Bds

=== debian/changelog ===
sumatra (1.0.36+ds-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Étienne Mollier ]
  * buildflags.patch: new: propagate build flags. (Closes: #1119579)
  * d/patches/*: normalise Last-Update timestamp.
  * d/watch: convert to v5 watch file.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Tue, 09 Dec 2025 22:20:36 +0100

sumatra (1.0.36+ds-2) unstable; urgency=medium

  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Marking the patches as Forwarded: not-needed

  [ Andreas Tille ]
  * Remove some cruft from upstream tarball

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Jul 2022 23:33:51 +0200

sumatra (1.0.36+ds-1) unstable; urgency=medium

  * New upstream version 1.0.36+ds
  * Updating debian/watch to fit new +ds version
  * Passing -g flag to the compiler
  * Adding autopkgtests
  * Providing autopkgtests as examples

 -- Pierre Gruet <pgtdebian@free.fr>  Tue, 14 Apr 2020 14:09:09 +0200

sumatra (1.0.34-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Cleanup watch file

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 14:08:52 +0200

sumatra (1.0.31-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 11:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: sumatra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sumatra.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sumatra.git
+Build-Depends: debhelper-compat (= 13),
+               libsuma-dev,
+               zlib1g-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/sumatra
+Vcs-Git: https://salsa.debian.org/med-team/sumatra.git
 Homepage: http://metabarcoding.org/sumatra
 
 Package: sumatra

## sumatra 1.0.36+ds

=== Makefile ===
PREFIX=/usr/local

CFLAGS=-I$(PREFIX)/include

EXEC = sumatra

SUMATRA_SRC = sumatra.c \
			  mtcompare_sumatra.c
			              
SUMATRA_OBJ = $(patsubst %.c,%.o,$(SUMATRA_SRC))

SRCS = $(SUMATRA_SRC)

LIB = -lsuma -lz -lm

include ./global.mk

all: $(EXEC)


########
#
# sumatra compilation
#
########

# executable compilation and link

sumatra: $(SUMATRA_OBJ)
	$(CC) $(LDFLAGS) -o $@ -pthread $(SUMATRA_OBJ) $(LIBSUMAPATH) $(LIB)
	
########
#
# project management
#
########

clean:
	rm -f $(SUMATRA_OBJ)	
	rm -f $(EXEC)
	$(MAKE) -C ./sumalibs clean

install: all
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 $(EXEC) $(DESTDIR)$(PREFIX)/bin/

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: sumatra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
+Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
+           Andreas Tille <tille@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libsuma-dev,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/sumatra
 Vcs-Git: https://salsa.debian.org/med-team/sumatra.git
 Homepage: http://metabarcoding.org/sumatra
+Rules-Requires-Root: no
 
 Package: sumatra
 Architecture: any

=== debian/tests/control ===
Tests: alignmentIdenticalInputs, alignmentOneInput, alignmentTwoInputsTwoThresholds
Depends: @

=== debian/watch ===
version=4

opts=dversionmangle=s/\+ds// \
https://git.metabarcoding.org/obitools/sumatra/wikis/home .*/sumatra/uploads/.*/sumatra_v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
